--
-- circuit1
--
library ieee;
use ieee.std_logic_1164.all;

entity circuit1 is
        port(   a : in std_logic;
                b : in std_logic;
                y : out std_logic);

-- Devs Set Up
  attribute PART_NAME : string;
  attribute PART_NAME of circuit1 : entity is "epf10k10lc84";

  attribute PINNUM : string;
--  attribute PINNUM of CLK : signal is "43";-- signal is "1"
  attribute PINNUM of a  : signal is "5";
  attribute PINNUM of b  : signal is "6";
  attribute PINNUM of y  : signal is "7";
-- Devs Set End

end circuit1;

architecture rtl of circuit1 is

        signal s0 : std_logic;
        signal s1 : std_logic;
        signal s2 : std_logic;

begin

        s0 <= a  nand b;
        s1 <= a  nand s0;
        s2 <= b  nand s0;
        y  <= s1 nand s2;

end rtl;