--
-- synchronous reset-set F.F.
--
library ieee;
use ieee.std_logic_1164.all;

entity rsf is
        port(   sr : in std_logic;
                ss : in std_logic;
                c  : in std_logic;
                nr : in std_logic;
                q  : out std_logic);
end rsf;

architecture rtl of rsf is
begin

        process(nr,c)
        begin

                if (nr = '0') then
                        q <= '0';
                elsif (c'event and c = '1') then
                        if (sr = '1') then
                                q <= '0';
                        elsif (ss = '1') then
                                q <= '1';
                        end if;
                end if;

        end process;

end rtl;
