--
-- D-F.F. & 8-bit D-Reg. (reg. frame)
--
library ieee;
use ieee.std_logic_1164.all;

entity regFF_frame is
        port(   d      : in std_logic;
                regIn  : in std_logic_vector(7 downto 0);
                c      : in std_logic;
                nr     : in std_logic;
                q      : out std_logic;
                regOut : out std_logic_vector(7 downto 0) );
end regFF_frame;

architecture rtl of regFF_frame is
begin

        process(nr,c)
        begin

                if (nr = '0') then
                        q      <= '0';
                        regOut <= (others => '0');
                elsif (c'event and c = '1') then
                        q      <= d;
                        regOut <= regIn;
                end if;

        end process;

end rtl;
