--
-- increment library (not use 'high , 'low attributes)
--
library ieee;
use ieee.std_logic_1164.all;
package libIncF is
        function increment5f(source : std_logic_vector(4 downto 0)) return std_logic_vector;
end libIncF;

package body libIncF is
        function increment5f(source : std_logic_vector(4 downto 0)) return std_logic_vector is
                variable andAll : std_logic;
                variable temp   : std_logic_vector(4 downto 0);
        begin
                andAll := '1';
                for j in 0 to 4 loop
                        temp(j) := source(j) xor andAll;
                        andAll := andAll and source(j);
                end loop;
                return(temp);
        end increment5f;
end libIncF;
