--
-- 4-bit shift-reg. with enable
--
library ieee;
use ieee.std_logic_1164.all;

entity sr4e is
        port(   d  : in std_logic;
                e  : in std_logic;
                c  : in std_logic;
                nr : in std_logic;
                q  : out std_logic_vector(3 downto 0) );
end sr4e;

architecture rtl of sr4e is

        signal bufQ : std_logic_vector(3 downto 0);

begin

        process(nr,c)
        begin

                if (nr = '0') then
                        bufQ <= (others => '0');
                elsif (c'event and c = '1') then
                        if (e = '1') then
                                bufQ <= bufQ(2 downto 0) & d;
                        end if;
                end if;

        end process;

        q <= bufQ;

end rtl;
