--
-- synchronous toggle F.F.
--
library ieee;
use ieee.std_logic_1164.all;

entity cf is
        port(   i  : in std_logic;
                c  : in std_logic;
                nr : in std_logic;
                q  : out std_logic);
end cf;

architecture rtl of cf is

        signal bufQ : std_logic;

begin

        process(nr,c)
        begin

                if (nr = '0') then
                        bufQ <= '0';
                elsif (c'event and c = '1') then
                        if (i = '1') then
                                bufQ <= not bufQ;
                        end if;
                end if;

        end process;

        q <= bufQ;

end rtl;
