--
-- D-F.F. with asynchronous reset
--
library ieee;
use ieee.std_logic_1164.all;

entity df is
        port(   d  : in std_logic;
                c  : in std_logic;
                nr : in std_logic;
                q  : out std_logic);
end df;

architecture rtl of df is
begin

        process(nr,c)
        begin

                if (nr = '0') then
                        q <= '0';
                elsif (c'event and c = '1') then
                        q <= d;
                end if;

        end process;

end rtl;
