--
-- D-F.F. with synchronous enable
--
library ieee;
use ieee.std_logic_1164.all;

entity dfe is
        port(   d  : in std_logic;
                e  : in std_logic;
                c  : in std_logic;
                nr : in std_logic;
                q  : out std_logic);
end dfe;

architecture rtl of dfe is
begin

        process(nr,c)
        begin

                if (nr = '0') then
                        q <= '0';
                elsif (c'event and c = '1') then
                        if (e = '1') then
                                q <= d;
                        end if;
                end if;

        end process;

end rtl;
