--
-- JK-F.F. (use if-then-else statement)
--
library ieee;
use ieee.std_logic_1164.all;

entity jkf_B is
        port(   j  : in std_logic;
                k  : in std_logic;
                c  : in std_logic;
                nr : in std_logic;
                q  : out std_logic);
end jkf_B;

architecture rtl of jkf_B is

        signal bufQ : std_logic;

begin

        process(nr,c)
        begin

                if (nr = '0') then
                        bufQ <= '0';
                elsif (c'event and c = '1') then

                        if    (j = '1' and k = '1') then
                                bufQ <= not bufQ;
                        elsif (j = '1' and k = '0') then
                                bufQ <= '1';
                        elsif (j = '0' and k = '1') then
                                bufQ <= '0';
                        end if;

                end if;

        end process;

        q <= bufQ;

end rtl;
