--
-- D-latch with asynchronous reset
--
library ieee;
use ieee.std_logic_1164.all;

entity latch is
        port(   d  : in std_logic;
                l  : in std_logic;
                nr : in std_logic;
                q  : out std_logic);
end latch;

architecture rtl of latch is

begin

        process(nr,l,d)
        begin

                if (nr = '0') then
                        q <= '0';
                elsif (l = '0') then
                        q <= d;
                end if;

        end process;

end rtl;
