--
-- synchronous set-reset F.F.
--
library ieee;
use ieee.std_logic_1164.all;

entity srf is
        port(   ss : in std_logic;
                sr : in std_logic;
                c  : in std_logic;
                nr : in std_logic;
                q  : out std_logic);
end srf;

architecture rtl of srf is
begin

        process(nr,c)
        begin

                if (nr = '0') then
                        q <= '0';
                elsif (c'event and c = '1') then
                        if (ss = '1') then
                                q <= '1';
                        elsif (sr = '1') then
                                q <= '0';
                        end if;
                end if;

        end process;

end rtl;